<bugID>731025<Summary>Add telemetry for migrator usage and errors</Summary><Description>Since migration from other browsers is hard to test in an automated fashion while keeping up with other browser's updates, it would be useful to report success and failure rates for each migrator to know when there are problems that need to be investigated.

Use Case 1:
* A new version of Chrome is released which changes the data format of bookmarks causing our import to fail.  We will see an increase in Chrome migration failures then investigate and fix the migrator.</Description></bugID>